## kxmlgui 5.109.0

=== debian/changelog ===
kxmlgui (5.109.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.109.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Aug 2023 05:51:33 +0100

kxmlgui (5.108.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.108.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Jul 2023 12:23:04 +0100

kxmlgui (5.107.0-0ubuntu2) mantic; urgency=medium

  * No-change rebuild against Qt 5.15.10.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 20 Jun 2023 16:26:32 +0300

kxmlgui (5.107.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.107.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 21:07:43 +0100

kxmlgui (5.106.0-0ubuntu2) mantic; urgency=medium

  * No-change rebuild against Qt 5.15.9.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 17 May 2023 11:06:57 +0300

kxmlgui (5.106.0-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.106.0)

  [ José Manuel Santamaría Lema ]
  * Update symbols files, remove private missing symbols

 -- Rik Mills <rikmills@kde.org>  Tue, 16 May 2023 16:49:06 +0100

=== debian/control ===
Source: kxmlgui
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.109.0~),
               libkf5attica-dev (>= 5.109.0~),
               libkf5config-dev (>= 5.109.0~),
               libkf5configwidgets-dev (>= 5.109.0~),
               libkf5coreaddons-dev (>= 5.109.0~),
               libkf5globalaccel-dev (>= 5.109.0~),
               libkf5guiaddons-dev (>= 5.109.0~),
               libkf5i18n-dev (>= 5.109.0~),
               libkf5iconthemes-dev (>= 5.109.0~),
               libkf5itemviews-dev (>= 5.109.0~),
               libkf5widgetsaddons-dev (>= 5.109.0~),
               libkf5windowsystem-dev (>= 5.109.0~),
               libqt5sql5-sqlite,
               libqt5x11extras5-dev (>= 5.4),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qtbase5-private-dev (>= 5.7.0~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/kxmlgui
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kxmlgui
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kxmlgui
Rules-Requires-Root: no

Package: libkf5xmlgui-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 This package contains the runtime files.

Package: libkf5xmlgui-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkf5xmlgui5 (<< 5.74)
Replaces: libkf5xmlgui5 (<< 5.74)
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 This package contains the data files.

Package: libkf5xmlgui-dev
Section: libdevel
Architecture: any
Depends: libkf5attica-dev (>= 5.109.0~),
         libkf5config-dev (>= 5.109.0~),
         libkf5configwidgets-dev (>= 5.109.0~),
         libkf5globalaccel-dev (>= 5.109.0~),
         libkf5iconthemes-dev (>= 5.109.0~),
         libkf5itemviews-dev (>= 5.109.0~),
         libkf5windowsystem-dev (>= 5.109.0~),
         libkf5xmlgui5 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5xmlgui-doc (= ${source:Version})
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 Contains development files for kxmlgui.
Breaks: kio-dev (<< 5.28),
        libkf5bookmarks-dev (<< 5.54),
        libkf5kcmutils-dev (<< 5.54),
        libkf5kio-dev (<< 5.54),
        libkf5newstuff-dev (<< 5.54),
        libkf5parts-dev (<< 5.54),
Multi-Arch: same

Package: libkf5xmlgui-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: User configurable main windows (documentation)
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5xmlgui5
Architecture: any
Multi-Arch: same
Depends: libkf5xmlgui-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5xmlgui-bin (= ${binary:Version})
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.

## kxmlgui 5.110.0

=== debian/changelog ===
kxmlgui (5.110.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.110.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 10 Sep 2023 00:10:42 +0100

=== debian/control ===
--- 
+++ 
@@ -7,18 +7,18 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.109.0~),
-               libkf5attica-dev (>= 5.109.0~),
-               libkf5config-dev (>= 5.109.0~),
-               libkf5configwidgets-dev (>= 5.109.0~),
-               libkf5coreaddons-dev (>= 5.109.0~),
-               libkf5globalaccel-dev (>= 5.109.0~),
-               libkf5guiaddons-dev (>= 5.109.0~),
-               libkf5i18n-dev (>= 5.109.0~),
-               libkf5iconthemes-dev (>= 5.109.0~),
-               libkf5itemviews-dev (>= 5.109.0~),
-               libkf5widgetsaddons-dev (>= 5.109.0~),
-               libkf5windowsystem-dev (>= 5.109.0~),
+               extra-cmake-modules (>= 5.110.0~),
+               libkf5attica-dev (>= 5.110.0~),
+               libkf5config-dev (>= 5.110.0~),
+               libkf5configwidgets-dev (>= 5.110.0~),
+               libkf5coreaddons-dev (>= 5.110.0~),
+               libkf5globalaccel-dev (>= 5.110.0~),
+               libkf5guiaddons-dev (>= 5.110.0~),
+               libkf5i18n-dev (>= 5.110.0~),
+               libkf5iconthemes-dev (>= 5.110.0~),
+               libkf5itemviews-dev (>= 5.110.0~),
+               libkf5widgetsaddons-dev (>= 5.110.0~),
+               libkf5windowsystem-dev (>= 5.110.0~),
                libqt5sql5-sqlite,
                libqt5x11extras5-dev (>= 5.4),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
@@ -59,13 +59,13 @@
 Package: libkf5xmlgui-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5attica-dev (>= 5.109.0~),
-         libkf5config-dev (>= 5.109.0~),
-         libkf5configwidgets-dev (>= 5.109.0~),
-         libkf5globalaccel-dev (>= 5.109.0~),
-         libkf5iconthemes-dev (>= 5.109.0~),
-         libkf5itemviews-dev (>= 5.109.0~),
-         libkf5windowsystem-dev (>= 5.109.0~),
+Depends: libkf5attica-dev (>= 5.110.0~),
+         libkf5config-dev (>= 5.110.0~),
+         libkf5configwidgets-dev (>= 5.110.0~),
+         libkf5globalaccel-dev (>= 5.110.0~),
+         libkf5iconthemes-dev (>= 5.110.0~),
+         libkf5itemviews-dev (>= 5.110.0~),
+         libkf5windowsystem-dev (>= 5.110.0~),
          libkf5xmlgui5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},

## kxmlgui 5.113.0

=== debian/changelog ===
kxmlgui (5.113.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.113.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 15 Dec 2023 13:45:50 +0000

kxmlgui (5.112.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.112.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Nov 2023 14:50:47 +0000

kxmlgui (5.111.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.111.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 08 Nov 2023 00:00:29 +0000

=== debian/control ===
--- 
+++ 
@@ -7,18 +7,18 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.110.0~),
-               libkf5attica-dev (>= 5.110.0~),
-               libkf5config-dev (>= 5.110.0~),
-               libkf5configwidgets-dev (>= 5.110.0~),
-               libkf5coreaddons-dev (>= 5.110.0~),
-               libkf5globalaccel-dev (>= 5.110.0~),
-               libkf5guiaddons-dev (>= 5.110.0~),
-               libkf5i18n-dev (>= 5.110.0~),
-               libkf5iconthemes-dev (>= 5.110.0~),
-               libkf5itemviews-dev (>= 5.110.0~),
-               libkf5widgetsaddons-dev (>= 5.110.0~),
-               libkf5windowsystem-dev (>= 5.110.0~),
+               extra-cmake-modules (>= 5.113.0~),
+               libkf5attica-dev (>= 5.113.0~),
+               libkf5config-dev (>= 5.113.0~),
+               libkf5configwidgets-dev (>= 5.113.0~),
+               libkf5coreaddons-dev (>= 5.113.0~),
+               libkf5globalaccel-dev (>= 5.113.0~),
+               libkf5guiaddons-dev (>= 5.113.0~),
+               libkf5i18n-dev (>= 5.113.0~),
+               libkf5iconthemes-dev (>= 5.113.0~),
+               libkf5itemviews-dev (>= 5.113.0~),
+               libkf5widgetsaddons-dev (>= 5.113.0~),
+               libkf5windowsystem-dev (>= 5.113.0~),
                libqt5sql5-sqlite,
                libqt5x11extras5-dev (>= 5.4),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
@@ -59,13 +59,13 @@
 Package: libkf5xmlgui-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5attica-dev (>= 5.110.0~),
-         libkf5config-dev (>= 5.110.0~),
-         libkf5configwidgets-dev (>= 5.110.0~),
-         libkf5globalaccel-dev (>= 5.110.0~),
-         libkf5iconthemes-dev (>= 5.110.0~),
-         libkf5itemviews-dev (>= 5.110.0~),
-         libkf5windowsystem-dev (>= 5.110.0~),
+Depends: libkf5attica-dev (>= 5.113.0~),
+         libkf5config-dev (>= 5.113.0~),
+         libkf5configwidgets-dev (>= 5.113.0~),
+         libkf5globalaccel-dev (>= 5.113.0~),
+         libkf5iconthemes-dev (>= 5.113.0~),
+         libkf5itemviews-dev (>= 5.113.0~),
+         libkf5windowsystem-dev (>= 5.113.0~),
          libkf5xmlgui5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},

## kxmlgui 5.115.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.115.0") # handled by release scripts
set(KF_DEP_VERSION "5.115.0") # handled by release scripts
project(KXmlGui VERSION ${KF_VERSION})

# ECM setup
include(FeatureSummary)
find_package(ECM 5.115.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(ECMMarkNonGuiExecutable)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMAddQch)
include(ECMGenerateExportHeader)

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(CMakeDependentOption)

ecm_setup_version(PROJECT
                  VARIABLE_PREFIX KXMLGUI
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kxmlgui_version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5XmlGuiConfigVersion.cmake"
                  SOVERSION 5)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(FORCE_DISABLE_KGLOBALACCEL "Force building KXmlGui without KGlobalAccel. Doing this will break global shortcut support. [default=OFF]" OFF)
option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

cmake_dependent_option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON "NOT CMAKE_CROSSCOMPILING" OFF)
add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Build plugin for Qt Designer")

# Dependencies
set(REQUIRED_QT_VERSION 5.15.2)
find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets Xml Network PrintSupport)
# On non-Apple UNIX DBus is required, on Apple Unix & Windows optional and it does not exist on Android
if(UNIX AND NOT APPLE)
    if(NOT ANDROID)
        find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED DBus)
    endif()
else()
    find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} OPTIONAL_COMPONENTS DBus)
endif()

find_package(KF5CoreAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF5ItemViews ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF5ConfigWidgets ${KF_DEP_VERSION} REQUIRED)
find_package(KF5GuiAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF_DEP_VERSION} REQUIRED)
find_package(KF5IconThemes ${KF_DEP_VERSION} REQUIRED)
find_package(KF5WidgetsAddons ${KF_DEP_VERSION} REQUIRED)

if (NOT FORCE_DISABLE_KGLOBALACCEL AND NOT WIN32 AND NOT APPLE AND NOT ANDROID)
    find_package(KF5GlobalAccel ${KF_DEP_VERSION} REQUIRED)
endif()
set (HAVE_GLOBALACCEL ${KF5GlobalAccel_FOUND})

ecm_set_disabled_deprecation_versions(
    QT 5.15.2
    KF 5.95
    KCOREADDONS 5.86 # KPluginMetaData::extraInformation
)

add_definitions(-DTRANSLATION_DOMAIN=\"kxmlgui5\")
ki18n_install(po)

# Subdirectories
add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(autotests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5XmlGui")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5XmlGui_QCH
        FILE KF5XmlGuiQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5XmlGuiQchTargets.cmake\")")
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5XmlGuiConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5XmlGuiConfig.cmake"
  PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5XmlGuiConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5XmlGuiConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5XmlGuiTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5XmlGuiTargets.cmake NAMESPACE KF5:: )

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/kxmlgui_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KXmlGui COMPONENT Devel
)

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/CMakeLists.txt ===
add_subdirectory(ksendbugmail)

add_library(KF5XmlGui)
add_library(KF5::XmlGui ALIAS KF5XmlGui)

if (HAVE_GLOBALACCEL)
    target_link_libraries(KF5XmlGui PRIVATE KF5::GlobalAccel)
endif ()
if(WIN32)
    target_link_libraries(KF5XmlGui PRIVATE secur32) # GetUserNameEx()
endif()

configure_file(config-xmlgui.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-xmlgui.h )

target_sources(KF5XmlGui PRIVATE
  kaboutapplicationdialog.cpp
  kaboutapplicationcomponentlistdelegate_p.cpp
  kaboutapplicationcomponentmodel_p.cpp
  kaboutapplicationlistview_p.cpp
  kaboutapplicationpersonlistdelegate_p.cpp
  kaboutapplicationpersonmodel_p.cpp
  kaboutkdedialog_p.cpp
  kaboutplugindialog.cpp
  kabstractaboutdialog_p.cpp
  kactioncategory.cpp
  kactioncollection.cpp
  kactionconflictdetector.cpp
  kbugreport.cpp
  kedittoolbar.cpp
  khelpmenu.cpp
  kkeysequencewidget.cpp
  klicensedialog_p.cpp
  kmainwindow.cpp
  kmenumenuhandler_p.cpp
  kshortcuteditwidget.cpp
  kshortcutschemeseditor.cpp
  kshortcutschemeshelper.cpp
  kshortcutsdialog.cpp
  kshortcutseditor.cpp
  kshortcutseditordelegate.cpp
  kshortcutseditoritem.cpp
  kshortcutwidget.cpp
  kswitchlanguagedialog_p.cpp
  ktoggletoolbaraction.cpp
  ktoolbar.cpp
  ktoolbarhandler.cpp
  ktoolbarhelper.cpp
  ktooltiphelper.cpp
  kxmlguibuilder.cpp
  kxmlguiclient.cpp
  kxmlguifactory.cpp
  kxmlguifactory_p.cpp
  kxmlguiversionhandler.cpp
  kxmlguiwindow.cpp
  kundoactions.cpp
  kcheckaccelerators.cpp
)
if (TARGET Qt${QT_MAJOR_VERSION}::DBus)
    target_sources(KF5XmlGui PRIVATE
        kmainwindowiface.cpp
    )
endif()

# add the resource file
target_sources(KF5XmlGui PRIVATE
    kxmlgui.qrc
)

ecm_qt_declare_logging_category(KF5XmlGui
    HEADER debug.h
    IDENTIFIER DEBUG_KXMLGUI
    CATEGORY_NAME kf.xmlgui
    OLD_CATEGORY_NAMES kf5.kxmlgui
    DESCRIPTION "KXmlGui"
    EXPORT KXMLGUI
)

ki18n_wrap_ui(KF5XmlGui
    kshortcutsdialog.ui
    kshortcutwidget.ui
)

ecm_generate_export_header(KF5XmlGui
    BASE_NAME KXmlGui
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 4.0 4.1 5.0 5.75 5.83 5.84
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

target_include_directories(KF5XmlGui INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KXmlGui>")

target_link_libraries(KF5XmlGui
PUBLIC
    Qt${QT_MAJOR_VERSION}::Xml      #To parse the configuration (QDomDocument etc)
    Qt${QT_MAJOR_VERSION}::Widgets  #QWidget is used everywhere
    KF5::ConfigCore     #Reading config for ToolbarIcons, Shortcut Schemes...
    KF5::ConfigWidgets  #KStandardAction, KToggleAction...
PRIVATE
    Qt${QT_MAJOR_VERSION}::Network        #QNetworkAccessManager in kaboutapplicationpersonmodel_p
    Qt${QT_MAJOR_VERSION}::PrintSupport   #QPrinter in kshortcutseditor
    Qt${QT_MAJOR_VERSION}::CorePrivate    #QSystemLocale in initializeLanguages
    KF5::CoreAddons     #KAboutData
    KF5::GuiAddons
    KF5::WidgetsAddons
    KF5::ItemViews           #KWidgetItemDelegate in KAboutApplicationPersonListDelegate
    KF5::I18n                #i18n and i18nc in many places
    KF5::IconThemes         #KIconLoader and KIconThemes in KToolBar
)
if (TARGET Qt${QT_MAJOR_VERSION}::DBus)
  target_link_libraries(KF5XmlGui PUBLIC Qt${QT_MAJOR_VERSION}::DBus) #QDBus connect to signal in KToolBar
endif()

set_target_properties(KF5XmlGui PROPERTIES VERSION   ${KXMLGUI_VERSION}
                                           SOVERSION ${KXMLGUI_SOVERSION}
                                           EXPORT_NAME XmlGui
)

ecm_generate_headers(KXmlGui_HEADERS
  HEADER_NAMES
  KAboutApplicationDialog
  KAboutPluginDialog
  KActionCategory
  KActionCollection
  KBugReport
  KEditToolBar
  KHelpMenu
  KKeySequenceWidget
  KMainWindow
  KShortcutsDialog
  KShortcutsEditor
  KShortcutWidget
  KToggleToolBarAction
  KToolBar
  KToolTipHelper
  KXMLGUIBuilder
  KXMLGUIClient
  KXMLGUIFactory
  KXmlGuiWindow
  KUndoActions

  REQUIRED_HEADERS KXmlGui_HEADERS
)

install(TARGETS KF5XmlGui EXPORT KF5XmlGuiTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kxmlgui_export.h
  ${KXmlGui_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KXmlGui COMPONENT Devel
)

# install this file to be compatible, it is bundled in the resource file, too
install( FILES ui_standards.rc  DESTINATION  ${KDE_INSTALL_CONFDIR}/ui )

if(BUILD_DESIGNERPLUGIN)
    add_subdirectory(designer)
endif()

ecm_qt_install_logging_categories(
    EXPORT KXMLGUI
    FILE kxmlgui.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if (BUILD_QCH)
    ecm_add_qch(
        KF5XmlGui_QCH
        NAME KXmlGui
        BASE_NAME KF5XmlGui
        VERSION ${KF_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KXmlGui_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt5Xml_QCH
            Qt5DBus_QCH
            Qt5Widgets_QCH
            KF5Config_QCH
            KF5ConfigWidgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KXMLGUI_EXPORT
            KXMLGUI_DEPRECATED_EXPORT
            KXMLGUI_DEPRECATED
            "KXMLGUI_DEPRECATED_VERSION(x, y, t)"
            "KXMLGUI_DEPRECATED_VERSION_BELATED(x, y, xt, yt, t)"
            "KXMLGUI_ENUMERATOR_DEPRECATED_VERSION(x, y, t)"
            "KXMLGUI_ENUMERATOR_DEPRECATED_VERSION_BELATED(x, y, xt, yt, t)"
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KXmlGui LIB_NAME KF5XmlGui DEPS "dbus xml widgets KConfigCore KConfigWidgets" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF}/KXmlGui)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
kxmlgui (5.115.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 May 2024 00:15:28 +0200

kxmlgui (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Fix FTCBFS: Build designer plugin, thx to Helmut Grohne (Closes:
    #1023944).

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:05:11 +0100

kxmlgui (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.105.0.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:43 +0200

kxmlgui (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:10:00 +0100

=== debian/control ===
Source: kxmlgui
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               doxygen,
               extra-cmake-modules (>= 5.115.0~),
               libkf5config-dev (>= 5.115.0~),
               libkf5configwidgets-dev (>= 5.115.0~),
               libkf5coreaddons-dev (>= 5.115.0~),
               libkf5globalaccel-dev (>= 5.115.0~),
               libkf5guiaddons-dev (>= 5.115.0~),
               libkf5i18n-dev (>= 5.115.0~),
               libkf5iconthemes-dev (>= 5.115.0~),
               libkf5itemviews-dev (>= 5.115.0~),
               libkf5widgetsaddons-dev (>= 5.115.0~),
               libqt5sql5-sqlite,
               libqt5x11extras5-dev (>= 5.4),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qtbase5-private-dev (>= 5.7.0~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/kxmlgui
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kxmlgui
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kxmlgui.git
Rules-Requires-Root: no

Package: libkf5xmlgui-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: same
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 This package contains the runtime files.

Package: libkf5xmlgui-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: libkf5xmlgui5 (<< 5.74),
Replaces: libkf5xmlgui5 (<< 5.74),
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 This package contains the data files.

Package: libkf5xmlgui-dev
Section: libdevel
Architecture: any
Depends: libkf5config-dev (>= 5.115.0~),
         libkf5configwidgets-dev (>= 5.115.0~),
         libkf5globalaccel-dev (>= 5.115.0~),
         libkf5iconthemes-dev (>= 5.115.0~),
         libkf5itemviews-dev (>= 5.115.0~),
         libkf5xmlgui5 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5xmlgui-doc (= ${source:Version}),
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 Contains development files for kxmlgui.
Breaks: kio-dev (<< 5.28),
        libkf5bookmarks-dev (<< 5.54),
        libkf5kcmutils-dev (<< 5.54),
        libkf5kio-dev (<< 5.54),
        libkf5newstuff-dev (<< 5.54),
        libkf5parts-dev (<< 5.54),
Multi-Arch: same

Package: libkf5xmlgui-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: User configurable main windows (documentation)
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5xmlgui5
Architecture: any
Multi-Arch: same
Depends: libkf5xmlgui-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5xmlgui-bin (= ${binary:Version}),
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
Breaks: frameworkintegration (<< 5.70),
        kdesignerplugin (<< 5.70),
        kross (<< 5.70),
        ktexteditor-katepart (<< 5.70),
        libkf5bookmarks5 (<< 5.70),
        libkf5kcmutils5 (<< 5.70),
        libkf5kdelibs4support5 (<< 5.70),
        libkf5kdelibs4support5-bin (<< 5.70),
        libkf5khtml-bin (<< 5.70),
        libkf5khtml5 (<< 5.70),
        libkf5kiofilewidgets5 (<< 5.70),
        libkf5krossui5 (<< 5.70),
        libkf5mediaplayer5 (<< 5.70),
        libkf5newstuff5 (<< 5.70),
        libkf5parts-plugins (<< 5.70),
        libkf5parts5 (<< 5.70),
        libkf5plasma5 (<< 5.70),
        libkf5plasmaquick5 (<< 5.70),
        libkf5texteditor5 (<< 5.70),
        libkf5webkit5 (<< 5.70),
        plasma-framework (<< 5.70),

## kxmlgui 5.116.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.115.0") # handled by release scripts
-set(KF_DEP_VERSION "5.115.0") # handled by release scripts
+set(KF_VERSION "5.116.0") # handled by release scripts
+set(KF_DEP_VERSION "5.116.0") # handled by release scripts
 project(KXmlGui VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 5.115.0  NO_MODULE)
+find_package(ECM 5.116.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===

find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Xml Test)

include(ECMAddTests)

ecm_add_tests(
   kactioncategorytest.cpp
   kactioncollectiontest.cpp
   LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test KF5::XmlGui
)
ecm_add_tests(
   kmainwindow_unittest.cpp
   ktoolbar_unittest.cpp
   ktooltiphelper_unittest.cpp
   kxmlgui_unittest.cpp
   GUI
   LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test KF5::IconThemes KF5::XmlGui
)

set_tests_properties(ktoolbar_unittest PROPERTIES RUN_SERIAL TRUE) # it wipes out ~/.qttest/share

=== tests/krichtexteditor/CMakeLists.txt ===
add_executable(krichtexteditor)

target_sources(krichtexteditor PRIVATE
    main.cpp
    krichtexteditor.cpp
)

target_include_directories(krichtexteditor PRIVATE
    ${CMAKE_CURRENT_SOURCE_DIR}/..
    ${CMAKE_CURRENT_BINARY_DIR}/..
)
ecm_mark_as_test(krichtexteditor)
target_link_libraries(krichtexteditor Qt${QT_MAJOR_VERSION}::Test KF5::ConfigWidgets KF5::TextWidgets KF5::XmlGui)

#install(TARGETS krichtexteditor DESTINATION ${KDE_INSTALL_BINDIR})
#install(FILES krichtexteditorui.rc DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/krichtexteditor)

=== debian/changelog ===
kxmlgui (5.116.0-1zneon+24.04+noble+release+build4) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sun, 31 Aug 2025 23:16:40 +0000

kxmlgui (5.116.0-1neon) noble; urgency=medium

  * noble is the new series

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 16 Jun 2024 19:44:59 +1000

kxmlgui (5.116.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 22 May 2024 14:43:09 +0000

kxmlgui (5.115.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 10 Feb 2024 12:30:30 +0000

kxmlgui (5.114.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jan 2024 04:09:41 +0000

kxmlgui (5.113.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 02:52:36 +0000

kxmlgui (5.112.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Nov 2023 14:22:00 +0000

kxmlgui (5.111.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 17 Oct 2023 13:33:11 +0000

kxmlgui (5.110.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Aug 2023 13:17:22 +0000

kxmlgui (5.109.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Aug 2023 13:17:22 +0000

kxmlgui (5.108.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Jul 2023 11:49:03 +0000

=== debian/control ===
Source: kxmlgui
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.51.0~),
               graphviz,
               libkf5attica-dev (>= 5.51.0~),
               libkf5config-dev (>= 5.51.0~),
               libkf5configwidgets-dev (>= 5.51.0~),
               libkf5coreaddons-dev (>= 5.51.0~),
               libkf5globalaccel-dev (>= 5.51.0~),
               libkf5i18n-dev (>= 5.51.0~),
               libkf5iconthemes-dev (>= 5.51.0~),
               libkf5itemviews-dev (>= 5.51.0~),
               libkf5textwidgets-dev (>= 5.51.0~),
               libkf5widgetsaddons-dev (>= 5.51.0~),
               libkf5windowsystem-dev (>= 5.51.0~),
               libqt5sql5-sqlite,
               libqt5x11extras5-dev (>= 5.4),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qtbase5-private-dev (>= 5.7.0~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4)
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kxmlgui
Vcs-Git: https://invent.kde.org/neon/kde/kxmlgui.git
Vcs-Browser: https://invent.kde.org/neon/kde/kxmlgui
Maintainer: Neon CI <neon@kde.org>

Package: libkf5xmlgui-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 This package contains the runtime files.

Package: libkf5xmlgui-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: kf6-kxmlgui (<< 5.245.0)
Replaces: kf6-kxmlgui (<< 5.245.0)
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 This package contains the data files.

Package: libkf5xmlgui-dev
Section: libdevel
Architecture: any
Depends: libkf5attica-dev (>= 5.51.0~),
         libkf5config-dev (>= 5.51.0~),
         libkf5configwidgets-dev (>= 5.51.0~),
         libkf5globalaccel-dev (>= 5.51.0~),
         libkf5iconthemes-dev (>= 5.51.0~),
         libkf5itemviews-dev (>= 5.51.0~),
         libkf5textwidgets-dev (>= 5.51.0~),
         libkf5windowsystem-dev (>= 5.51.0~),
         libkf5xmlgui5 (= ${binary:Version}),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5xmlgui-doc (= ${source:Version})
Breaks: kio-dev (<< 5.28),
        libkf5bookmarks-dev (<< 5.51),
        libkf5kcmutils-dev (<< 5.51),
        libkf5kio-dev (<< 5.51),
        libkf5newstuff-dev (<< 5.51),
        libkf5parts-dev (<< 5.51),
        libkf5xmlgui-doc (<< 5.70.0-0)
Replaces: libkf5xmlgui-doc (<< 5.70.0-0)
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 Contains development files for kxmlgui.

Package: libkf5xmlgui-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: User configurable main windows (documentation)
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5xmlgui5
Architecture: any
Multi-Arch: same
Depends: libkf5xmlgui-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5xmlgui-bin (= ${binary:Version})
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
Breaks: frameworkintegration (<< 5.28),
        kdesignerplugin (<< 5.51),
        kross (<< 5.42),
        ktexteditor-katepart (<< 5.42),
        libkf5bookmarks5 (<< 5.51),
        libkf5kcmutils5 (<< 5.51),
        libkf5kdelibs4support5 (<< 5.51),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5khtml-bin (<< 5.51),
        libkf5khtml5 (<< 5.51),
        libkf5kiofilewidgets5 (<< 5.51),
        libkf5krossui5 (<< 5.51),
        libkf5mediaplayer5 (<< 5.51),
        libkf5newstuff5 (<< 5.51),
        libkf5parts-plugins (<< 5.51),
        libkf5parts5 (<< 5.51),
        libkf5plasma5 (<< 5.51),
        libkf5plasmaquick5 (<< 5.42),
        libkf5texteditor5 (<< 5.51),
        libkf5webkit5 (<< 5.42),
        libkf5xmlgui-data (<< 5.53.0),
        plasma-framework (<< 5.51)
Replaces: libkf5xmlgui-data (<< 5.53.0)

=== debian/tests/control ===
Tests: testsuite
Depends: build-essential,
         dbus (>= 1.8),
         libkf5globalaccel-bin,
         openbox,
         xauth,
         xvfb,
         @,
         @builddeps@
Restrictions: build-needed, allow-stderr

Tests: acc
Depends: dh-acc, exuberant-ctags, @
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/5([\d.]+)/kxmlgui-([\d.]+)\.tar\.xz

## kxmlgui 5.116.0+p24.04+vstable+git20250831.2316

=== debian/changelog ===
kxmlgui (5.116.0+p24.04+vstable+git20250831.2316-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 31 Aug 2025 23:16:55 +0000

## kxmlgui 5.116.0+p24.04+vstable+git20250925.1344

=== debian/changelog ===
kxmlgui (5.116.0+p24.04+vstable+git20250925.1344-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 25 Sep 2025 13:44:45 +0000

## kxmlgui 5.116.0+p24.04+vstable+git20251015.1058

=== debian/changelog ===
kxmlgui (5.116.0+p24.04+vstable+git20251015.1058-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 10:58:56 +0000

## kxmlgui 5.116.0+p24.04+vstable+git20251020.0209

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.116.0") # handled by release scripts
+set(KF_VERSION "5.117.0") # handled by release scripts
 set(KF_DEP_VERSION "5.116.0") # handled by release scripts
 project(KXmlGui VERSION ${KF_VERSION})

=== debian/changelog ===
kxmlgui (5.116.0+p24.04+vstable+git20251020.0209-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 02:09:31 +0000

## kxmlgui 5.116.0+p24.04+vstable+git20251220.0231

=== debian/changelog ===
kxmlgui (5.116.0+p24.04+vstable+git20251220.0231-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 20 Dec 2025 02:31:19 +0000

## kxmlgui 5.116.0+p24.04+vstable+git20251226.0210

=== debian/changelog ===
kxmlgui (5.116.0+p24.04+vstable+git20251226.0210-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Dec 2025 02:10:11 +0000

## kxmlgui 5.116.0+p24.04+vstable+git20260113.0023

=== debian/changelog ===
kxmlgui (5.116.0+p24.04+vstable+git20260113.0023-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 00:23:19 +0000

## kxmlgui 5.116.0+p24.04+vstable+git20260131.0156

=== debian/changelog ===
kxmlgui (5.116.0+p24.04+vstable+git20260131.0156-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 01:56:27 +0000

## kxmlgui 5.116.0+p24.04+vunstable+git20251015.1133

=== debian/changelog ===
kxmlgui (5.116.0+p24.04+vunstable+git20251015.1133-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 11:33:54 +0000

## kxmlgui 5.116.0+p24.04+vunstable+git20251020.0328

=== debian/changelog ===
kxmlgui (5.116.0+p24.04+vunstable+git20251020.0328-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 03:28:57 +0000

## kxmlgui 5.116.0+p24.04+vunstable+git20251111.0609

=== debian/changelog ===
kxmlgui (5.116.0+p24.04+vunstable+git20251111.0609-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 11 Nov 2025 06:09:48 +0000

## kxmlgui 5.116.0+p24.04+vunstable+git20251124.0752

=== debian/changelog ===
kxmlgui (5.116.0+p24.04+vunstable+git20251124.0752-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 24 Nov 2025 07:53:07 +0000

## kxmlgui 5.116.0+p24.04+vunstable+git20260129.0221

=== debian/changelog ===
kxmlgui (5.116.0+p24.04+vunstable+git20260129.0221-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 02:21:26 +0000
